Subject: Re: bug#64022: Subject: 28.2; minibuffer-beginning-of-buffer fails to set mark

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Jun 2023 18:49:30 +0300

> From: Al Petrofsky <[email-masked]>
> Date: Mon, 12 Jun 2023 11:15:43 -0400
> 
>    emacs -Q
>    M-: foo M-< C-x C-x
> 
> In emacs 26, point returns to the end of the minibuffer, but in 27 and
> 28.2 a bogus "No mark set in this buffer" error is reported.
> 
> I think the first 'when' in minibuffer-beginning-of-buffer is supposed
> to be 'unless'.

You are right.  I've now fixed this on the emacs-29 branch.

> Another issue is that this:
> 
>    emacs -Q
>    M-: C-x C-x
> 
> correctly reports "No mark set in this buffer", but this:
> 
>    emacs -Q
>    M-: t C-@ RET
>    M-: C-x C-x
> 
> does not.  This does no harm, but logically the mark should probably
> be unset when a new minibuffer is created.

It's not a new minibuffer, it's the same "*Minibuf-1*" minibuffer used
the first time.  So I think Emacs behaves correctly here.